### Method

# Clutter Actor transform_stage_point

#### Declaration [src]

    gboolean
    clutter_actor_transform_stage_point (
      ClutterActor* self,
      gfloat x,
      gfloat y,
      gfloat* x_out,
      gfloat* y_out
    )

#### Description [src]

This function translates screen coordinates (`x`, `y`) to coordinates relative to the actor. For example, it can be used to translate screen events from global screen coordinates into actor-local coordinates.

The conversion can fail, notably if the transform stack results in the actor being projected on the screen as a mere line.

The conversion should not be expected to be pixel-perfect due to the nature of the operation. In general the error grows when the skewing of the actor rectangle on screen increases.

This function can be computationally intensive.

This function only works when the allocation is up-to-date, i.e. inside of the `Clutter.ActorClass.paint` implementation.

#### Parameters

`x`

  Type: `gfloat`

  X screen coordinate of the point to unproject.

`y`

  Type: `gfloat`

  Y screen coordinate of the point to unproject.

`x_out`

  Type: `gfloat*`

  Return location for the unprojected x coordinance.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.

`y_out`

  Type: `gfloat*`

  Return location for the unprojected y coordinance.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.

#### Return value

Type: `gboolean`

`TRUE` if conversion was successful.